Get
/api/v1/DataSteward/data-sources/{dataSourceId}/technical-metadata/{taskKey}
Returns the status of a specified technical metadata ingestion
Path parameters
dataSourceId
integer (int32) Required
Id of the data source being refreshed
taskKey
stringRequired
Key of the technical ingestion being checked
Responses
200
OK
object
executionId
integer (int32)
dateStarted
string (date-time)
dateCompleted
string (date-time) | null
source
string | null
status
object (Configuration.Api.Models.v1.Common.KeyValue)
schemaResult
object (Configuration.Api.Models.v1.MetadataIngestionCounts)
returnedCount
integer (int32)
changedCount
integer (int32)
insertedCount
integer (int32)
updatedCount
integer (int32)
deletedCount
integer (int32)
skippedCount
integer (int32)
tableResult
object (Configuration.Api.Models.v1.MetadataIngestionCounts)
returnedCount
integer (int32)
changedCount
integer (int32)
insertedCount
integer (int32)
updatedCount
integer (int32)
deletedCount
integer (int32)
skippedCount
integer (int32)
columnResult
object (Configuration.Api.Models.v1.MetadataIngestionCounts)
returnedCount
integer (int32)
changedCount
integer (int32)
insertedCount
integer (int32)
updatedCount
integer (int32)
deletedCount
integer (int32)
skippedCount
integer (int32)
hasError
boolean
exceptionJson
string | null
exceptionMessage
string | null
resultErrors
Array of object (Configuration.Api.Models.v1.Common.FileError)
object
row
integer (int32) | null
column
string | null
description
string | null
404
Not Found
object
error
string | null